/*
 * File: main.h
 * Author: Suman Banerjee <suman@cs.umd.edu>
 * Date: July 31, 2001
 * Terms: GPL
 *
 * myns simulator
 */

#ifndef _MAIN_H_
#define _MAIN_H_
#include <scheduler.h>
#include <constants.h>

extern NamedConstant global_seed;

#define GLOBAL_SEED (global_seed.getval().u.i)

bool ProcessEvent (EventInfo *pevent);
void StartSimulation (void);
void StopSimulation (void);
void init (void);
void init_seed (void);

void simulator_main (int argc, char ** argv);

#endif
