#ifndef _LLHEAP_H_
#define _LLHEAP_H_

struct LLHeapElem {
  bool valid;
  int value;
};

struct LLHeap {
  int max_elems;
  int num_elems;
  LLHeapElem *elem_list;
};

LLHeap* init_heap (int max_elems);
void delete_heap (LLHeap *h);
void insert (LLHeap *h, int new_val);
int delete_min (LLHeap *h, int &value);
void change_key (LLHeap *h, int pos, int new_val);
bool heap_check_valid (LLHeap *h, int index);
bool is_empty (LLHeap *h);

#endif _LLHEAP_H_
