/**************************************************
 *
  File: common-agent.h
  Author: Suman Banerjee <suman@cs.umd.edu>
  Date: July 31, 2001
  Terms: GPL

  NICE implementation in myns

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 **************************************************/

#ifndef _COMMON_AGENT_H_
#define _COMMON_AGENT_H_

#include <agent.h>
#include "app-packet.h"

class commonAgent : public Agent {

public :

  void send_pkt_wrapper (AppPacket *ap, int aid, int nid);
  void rx_pkt_wrapper (AppPacket *ap);

  void display_detailed_pkt_info (AppPacket *ap);

};
#endif
